import React from 'react';
import {Pressable, View} from 'react-native';
import {Icon} from 'components';

const ButtonFab = props => (
      <Pressable
        onPress={props.onPress}
        android_ripple={{ color: ''}} // pressable bug ?
        style={[styles.cardFab, {flexDirection: 'row', justifyContent: 'center'}]}>
        <Icon
          style={styles.icon}
          name={props.icon ? props.icon : 'plus'}
          type={props.type ? props.type : 'FontAwesome5'}
        />
    </Pressable>
  );

export default ButtonFab;

const styles = {
  cardFab: {
    elevation: 4,
    position: 'absolute',
    backgroundColor: '#575fcf',
    right: 15,
    bottom: 30,
    borderRadius: 25,
    paddingVertical: 18,
    paddingHorizontal: 20,
  },
  icon: {
    color: '#fff',
    alignSelf: 'center',
    textAlign: 'center',
  },
  label: {
    color: 'black',
  },
};
