import React from 'react';
import {View, Image, TouchableWithoutFeedback, Text, StyleSheet} from 'react-native';
import {Icon} from 'components';
const bg = '#BBBBBB';

const SelectPicture = props => (
  <TouchableWithoutFeedback onPress={props.handleOnPress}>
    <View>
      <View style={[styles.card]}>
        {props.image ?
          <Image
            style={{borderRadius: 7, width: '100%', height: '100%'}}
            source={{ uri: props.image }}
          />
        :
          <Icon name={'camera'} type={'FontAwesome'} style={styles.camera} />
        }
      </View>
      {props.editable && (
        <View style={[styles.edit]}>
          <Icon
            name={'pencil'}
            type={'MaterialCommunityIcons'}
            style={styles.pencil}
          />
        </View>
      )}
    {props.isEmpty &&
      <Text style={styles.errorLabel}>Gambar Wajib diisi</Text>
    }
    </View>
  </TouchableWithoutFeedback>
);

const styles = StyleSheet.create({
  card: {
    width: 90,
    height: 90,
    borderRadius: 8,
    backgroundColor: '#EAEAEA',
    justifyContent: 'center',
    alignItems: 'center',
  },
  edit: {
    width: 25,
    height: 25,
    marginLeft: 70,
    marginTop: -18,
    borderRadius: 15,
    backgroundColor: bg,
    justifyContent: 'center',
    alignItems: 'center',
  },
  camera: {
    fontSize: 30,
    color: bg,
  },
  pencil: {
    fontSize: 15,
    color: 'white',
  },
  errorLabel: {
    color: 'red', 
    fontSize: 10
  }
});

export default SelectPicture;
