import React from 'react';
import {
  CardStyleInterpolators,
  createStackNavigator,
} from '@react-navigation/stack';
import {Home, ContactDetail} from 'scenes';

const AppStack = createStackNavigator();

const AppStackScreen = () => (
  <AppStack.Navigator
    screenOptions={{
      gestureEnabled: true,
      gestureDirection: 'horizontal',
      cardStyleInterpolator: CardStyleInterpolators.forHorizontalIOS,
      headerStyle: {
        backgroundColor: '#575fcf',
      },
      headerTintColor: '#fff',
    }}>
    <AppStack.Screen name="Home" component={Home} />
    <AppStack.Screen name="Contact Detail" component={ContactDetail} />
  </AppStack.Navigator>
);

export default AppStackScreen;
