import {combineReducers} from 'redux';
import AsyncStorage from '@react-native-async-storage/async-storage';
import {ActionType} from 'constants';

import ContactReducer from './contact.reducer';

const appReducer = combineReducers({
  contacts: ContactReducer,
});

const rootReducer = (state, action) => {
  if (action.type === ActionType.SIGN_OUT) {
    AsyncStorage.removeItem('persist:root');
    state = undefined;
  }
  return appReducer(state, action);
};

export default rootReducer;
