import {HttpRequest, ApiUrl, StatusCode} from 'constants';

const initalState = {
  data: null,
  error: null,
};

const getContact = async () => {
  const newState = {...initalState};

  try {
    const response = await HttpRequest.get(ApiUrl.contact_url);
    switch (response.request.status) {
      case StatusCode.OK:
        newState.data = response.data.data;
        return newState;
      default:
        newState.error = 'error';
        return newState;
    }
  } catch (err) {
    console.log(err);
  }
};

const createContact = async payload => {
  const newState = {...initalState};

  try {
    const response = await HttpRequest.post(ApiUrl.contact_url, payload);
    switch (response.status) {
      case StatusCode.CREATED:
        newState.data = response.data;
        return newState;
      default:
        newState.error = 'error';
        return newState;
    }
  } catch (err) {
    console.log(err);
    return (newState.error = err);
  }
};

const updateContact = async (id, payload) => {
  const newState = {...initalState};

  try {
    const response = await HttpRequest.put(`${ApiUrl.contact_url}/${id}`, payload);
    switch (response.status) {
      case StatusCode.CREATED:
        newState.data = response.data;
        return newState;
      default:
        newState.error = response;
        return newState;
    }
  } catch (err) {
    console.log(err);
    return (newState.error = err);
  }
};

const deleteContact = async id => {
  const newState = {...initalState};

  try {
    const response = await HttpRequest.del(`${ApiUrl.contact_url}/${id}`);
    switch (response.request.status) {
      case StatusCode.OK:
        newState.data = response.data;
        return newState;
      default:
        newState.error = response;
        return newState;
    }
  } catch (err) {
    console.log(err);
    newState.error = err;
    return newState;
  }
};

export {getContact, createContact, updateContact, deleteContact};
